import{s as _l,n as Pl,o as Sl}from"../chunks/scheduler.85c25b89.js";import{S as Il,i as kl,g as a,s as o,r as m,A as Al,h as n,f as l,c as r,j as Rl,u as p,x as s,k as Hl,y as El,a as i,v as h,d as f,t as g,w as c}from"../chunks/index.c9bcf812.js";import{H as d}from"../chunks/Heading.3c6e5b17.js";function Ul(Kt){let u,Pe,He,Se,b,Ie,v,jt="The model architectures included come from a wide variety of sources. Sources, including papers, original impl (“reference code”) that I rewrote / adapted, and PyTorch impl that I leveraged directly (“code”) are listed below.",ke,w,Ot="Most included models have pretrained weights. The weights are either:",Ae,$,Ft="<li>from their original sources</li> <li>ported by myself from their original impl in a different framework (e.g. Tensorflow models)</li> <li>trained from scratch using the included training script</li>",Ee,y,Yt='The validation results for the pretrained weights are <a href="results">here</a>',Ue,x,Jt='A more exciting view (with pretty pictures) of the models within <code>timm</code> can be found at <a href="https://paperswithcode.com/lib/timm" rel="nofollow">paperswithcode</a>.',Ve,T,De,N,Qt='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/resnetv2.py" rel="nofollow">resnetv2.py</a></li> <li>Paper: <code>Big Transfer (BiT): General Visual Representation Learning</code> - <a href="https://arxiv.org/abs/1912.11370" rel="nofollow">https://arxiv.org/abs/1912.11370</a></li> <li>Reference code: <a href="https://github.com/google-research/big_transfer" rel="nofollow">https://github.com/google-research/big_transfer</a></li>',Be,L,Ge,C,Zt='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/cspnet.py" rel="nofollow">cspnet.py</a></li> <li>Paper: <code>CSPNet: A New Backbone that can Enhance Learning Capability of CNN</code> - <a href="https://arxiv.org/abs/1911.11929" rel="nofollow">https://arxiv.org/abs/1911.11929</a></li> <li>Reference impl: <a href="https://github.com/WongKinYiu/CrossStagePartialNetworks" rel="nofollow">https://github.com/WongKinYiu/CrossStagePartialNetworks</a></li>',ze,M,Xe,R,el='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/densenet.py" rel="nofollow">densenet.py</a></li> <li>Paper: <code>Densely Connected Convolutional Networks</code> - <a href="https://arxiv.org/abs/1608.06993" rel="nofollow">https://arxiv.org/abs/1608.06993</a></li> <li>Code: <a href="https://github.com/pytorch/vision/tree/master/torchvision/models" rel="nofollow">https://github.com/pytorch/vision/tree/master/torchvision/models</a></li>',qe,H,We,_,tl='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/dla.py" rel="nofollow">dla.py</a></li> <li>Paper: <a href="https://arxiv.org/abs/1707.06484" rel="nofollow">https://arxiv.org/abs/1707.06484</a></li> <li>Code: <a href="https://github.com/ucbdrive/dla" rel="nofollow">https://github.com/ucbdrive/dla</a></li>',Ke,P,je,S,ll='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/dpn.py" rel="nofollow">dpn.py</a></li> <li>Paper: <code>Dual Path Networks</code> - <a href="https://arxiv.org/abs/1707.01629" rel="nofollow">https://arxiv.org/abs/1707.01629</a></li> <li>My PyTorch code: <a href="https://github.com/rwightman/pytorch-dpn-pretrained" rel="nofollow">https://github.com/rwightman/pytorch-dpn-pretrained</a></li> <li>Reference code: <a href="https://github.com/cypw/DPNs" rel="nofollow">https://github.com/cypw/DPNs</a></li>',Oe,I,Fe,k,il='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/byobnet.py" rel="nofollow">byobnet.py</a></li> <li>Paper: <code>Neural Architecture Design for GPU-Efficient Networks</code> - <a href="https://arxiv.org/abs/2006.14090" rel="nofollow">https://arxiv.org/abs/2006.14090</a></li> <li>Reference code: <a href="https://github.com/idstcv/GPU-Efficient-Networks" rel="nofollow">https://github.com/idstcv/GPU-Efficient-Networks</a></li>',Ye,A,Je,E,ol='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/hrnet.py" rel="nofollow">hrnet.py</a></li> <li>Paper: <code>Deep High-Resolution Representation Learning for Visual Recognition</code> - <a href="https://arxiv.org/abs/1908.07919" rel="nofollow">https://arxiv.org/abs/1908.07919</a></li> <li>Code: <a href="https://github.com/HRNet/HRNet-Image-Classification" rel="nofollow">https://github.com/HRNet/HRNet-Image-Classification</a></li>',Qe,U,Ze,V,rl='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/inception_v3.py" rel="nofollow">inception_v3.py</a></li> <li>Paper: <code>Rethinking the Inception Architecture for Computer Vision</code> - <a href="https://arxiv.org/abs/1512.00567" rel="nofollow">https://arxiv.org/abs/1512.00567</a></li> <li>Code: <a href="https://github.com/pytorch/vision/tree/master/torchvision/models" rel="nofollow">https://github.com/pytorch/vision/tree/master/torchvision/models</a></li>',et,D,tt,B,al='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/inception_v4.py" rel="nofollow">inception_v4.py</a></li> <li>Paper: <code>Inception-v4, Inception-ResNet and the Impact of Residual Connections on Learning</code> - <a href="https://arxiv.org/abs/1602.07261" rel="nofollow">https://arxiv.org/abs/1602.07261</a></li> <li>Code: <a href="https://github.com/Cadene/pretrained-models.pytorch" rel="nofollow">https://github.com/Cadene/pretrained-models.pytorch</a></li> <li>Reference code: <a href="https://github.com/tensorflow/models/tree/master/research/slim/nets" rel="nofollow">https://github.com/tensorflow/models/tree/master/research/slim/nets</a></li>',lt,G,it,z,nl='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/inception_resnet_v2.py" rel="nofollow">inception_resnet_v2.py</a></li> <li>Paper: <code>Inception-v4, Inception-ResNet and the Impact of Residual Connections on Learning</code> - <a href="https://arxiv.org/abs/1602.07261" rel="nofollow">https://arxiv.org/abs/1602.07261</a></li> <li>Code: <a href="https://github.com/Cadene/pretrained-models.pytorch" rel="nofollow">https://github.com/Cadene/pretrained-models.pytorch</a></li> <li>Reference code: <a href="https://github.com/tensorflow/models/tree/master/research/slim/nets" rel="nofollow">https://github.com/tensorflow/models/tree/master/research/slim/nets</a></li>',ot,X,rt,q,sl='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/nasnet.py" rel="nofollow">nasnet.py</a></li> <li>Papers: <code>Learning Transferable Architectures for Scalable Image Recognition</code> - <a href="https://arxiv.org/abs/1707.07012" rel="nofollow">https://arxiv.org/abs/1707.07012</a></li> <li>Code: <a href="https://github.com/Cadene/pretrained-models.pytorch" rel="nofollow">https://github.com/Cadene/pretrained-models.pytorch</a></li> <li>Reference code: <a href="https://github.com/tensorflow/models/tree/master/research/slim/nets/nasnet" rel="nofollow">https://github.com/tensorflow/models/tree/master/research/slim/nets/nasnet</a></li>',at,W,nt,K,ml='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/pnasnet.py" rel="nofollow">pnasnet.py</a></li> <li>Papers: <code>Progressive Neural Architecture Search</code> - <a href="https://arxiv.org/abs/1712.00559" rel="nofollow">https://arxiv.org/abs/1712.00559</a></li> <li>Code: <a href="https://github.com/Cadene/pretrained-models.pytorch" rel="nofollow">https://github.com/Cadene/pretrained-models.pytorch</a></li> <li>Reference code: <a href="https://github.com/tensorflow/models/tree/master/research/slim/nets/nasnet" rel="nofollow">https://github.com/tensorflow/models/tree/master/research/slim/nets/nasnet</a></li>',st,j,mt,O,pl='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/efficientnet.py" rel="nofollow">efficientnet.py</a></li> <li>Papers:<ul><li>EfficientNet NoisyStudent (B0-B7, L2) - <a href="https://arxiv.org/abs/1911.04252" rel="nofollow">https://arxiv.org/abs/1911.04252</a></li> <li>EfficientNet AdvProp (B0-B8) - <a href="https://arxiv.org/abs/1911.09665" rel="nofollow">https://arxiv.org/abs/1911.09665</a></li> <li>EfficientNet (B0-B7) - <a href="https://arxiv.org/abs/1905.11946" rel="nofollow">https://arxiv.org/abs/1905.11946</a></li> <li>EfficientNet-EdgeTPU (S, M, L) - <a href="https://ai.googleblog.com/2019/08/efficientnet-edgetpu-creating.html" rel="nofollow">https://ai.googleblog.com/2019/08/efficientnet-edgetpu-creating.html</a></li> <li>MixNet - <a href="https://arxiv.org/abs/1907.09595" rel="nofollow">https://arxiv.org/abs/1907.09595</a></li> <li>MNASNet B1, A1 (Squeeze-Excite), and Small - <a href="https://arxiv.org/abs/1807.11626" rel="nofollow">https://arxiv.org/abs/1807.11626</a></li> <li>MobileNet-V2 - <a href="https://arxiv.org/abs/1801.04381" rel="nofollow">https://arxiv.org/abs/1801.04381</a></li> <li>FBNet-C - <a href="https://arxiv.org/abs/1812.03443" rel="nofollow">https://arxiv.org/abs/1812.03443</a></li> <li>Single-Path NAS - <a href="https://arxiv.org/abs/1904.02877" rel="nofollow">https://arxiv.org/abs/1904.02877</a></li></ul></li> <li>My PyTorch code: <a href="https://github.com/rwightman/gen-efficientnet-pytorch" rel="nofollow">https://github.com/rwightman/gen-efficientnet-pytorch</a></li> <li>Reference code: <a href="https://github.com/tensorflow/tpu/tree/master/models/official/efficientnet" rel="nofollow">https://github.com/tensorflow/tpu/tree/master/models/official/efficientnet</a></li>',pt,F,ht,Y,hl='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/mobilenetv3.py" rel="nofollow">mobilenetv3.py</a></li> <li>Paper: <code>Searching for MobileNetV3</code> - <a href="https://arxiv.org/abs/1905.02244" rel="nofollow">https://arxiv.org/abs/1905.02244</a></li> <li>Reference code: <a href="https://github.com/tensorflow/models/tree/master/research/slim/nets/mobilenet" rel="nofollow">https://github.com/tensorflow/models/tree/master/research/slim/nets/mobilenet</a></li>',ft,J,gt,Q,fl='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/regnet.py" rel="nofollow">regnet.py</a></li> <li>Paper: <code>Designing Network Design Spaces</code> - <a href="https://arxiv.org/abs/2003.13678" rel="nofollow">https://arxiv.org/abs/2003.13678</a></li> <li>Reference code: <a href="https://github.com/facebookresearch/pycls/blob/master/pycls/models/regnet.py" rel="nofollow">https://github.com/facebookresearch/pycls/blob/master/pycls/models/regnet.py</a></li>',ct,Z,dt,ee,gl='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/byobnet.py" rel="nofollow">byobnet.py</a></li> <li>Paper: <code>Making VGG-style ConvNets Great Again</code> - <a href="https://arxiv.org/abs/2101.03697" rel="nofollow">https://arxiv.org/abs/2101.03697</a></li> <li>Reference code: <a href="https://github.com/DingXiaoH/RepVGG" rel="nofollow">https://github.com/DingXiaoH/RepVGG</a></li>',ut,te,bt,le,cl='<li><p>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/resnet.py" rel="nofollow">resnet.py</a></p></li> <li><p>ResNet (V1B)</p> <ul><li>Paper: <code>Deep Residual Learning for Image Recognition</code> - <a href="https://arxiv.org/abs/1512.03385" rel="nofollow">https://arxiv.org/abs/1512.03385</a></li> <li>Code: <a href="https://github.com/pytorch/vision/tree/master/torchvision/models" rel="nofollow">https://github.com/pytorch/vision/tree/master/torchvision/models</a></li></ul></li> <li><p>ResNeXt</p> <ul><li>Paper: <code>Aggregated Residual Transformations for Deep Neural Networks</code> - <a href="https://arxiv.org/abs/1611.05431" rel="nofollow">https://arxiv.org/abs/1611.05431</a></li> <li>Code: <a href="https://github.com/pytorch/vision/tree/master/torchvision/models" rel="nofollow">https://github.com/pytorch/vision/tree/master/torchvision/models</a></li></ul></li> <li><p>‘Bag of Tricks’ / Gluon C, D, E, S ResNet variants</p> <ul><li>Paper: <code>Bag of Tricks for Image Classification with CNNs</code> - <a href="https://arxiv.org/abs/1812.01187" rel="nofollow">https://arxiv.org/abs/1812.01187</a></li> <li>Code: <a href="https://github.com/dmlc/gluon-cv/blob/master/gluoncv/model_zoo/resnetv1b.py" rel="nofollow">https://github.com/dmlc/gluon-cv/blob/master/gluoncv/model_zoo/resnetv1b.py</a></li></ul></li> <li><p>Instagram pretrained / ImageNet tuned ResNeXt101</p> <ul><li>Paper: <code>Exploring the Limits of Weakly Supervised Pretraining</code> - <a href="https://arxiv.org/abs/1805.00932" rel="nofollow">https://arxiv.org/abs/1805.00932</a></li> <li>Weights: <a href="https://pytorch.org/hub/facebookresearch_WSL-Images_resnext" rel="nofollow">https://pytorch.org/hub/facebookresearch_WSL-Images_resnext</a> (NOTE: CC BY-NC 4.0 License, NOT commercial friendly)</li></ul></li> <li><p>Semi-supervised (SSL) / Semi-weakly Supervised (SWSL) ResNet and ResNeXts</p> <ul><li>Paper: <code>Billion-scale semi-supervised learning for image classification</code> - <a href="https://arxiv.org/abs/1905.00546" rel="nofollow">https://arxiv.org/abs/1905.00546</a></li> <li>Weights: <a href="https://github.com/facebookresearch/semi-supervised-ImageNet1K-models" rel="nofollow">https://github.com/facebookresearch/semi-supervised-ImageNet1K-models</a> (NOTE: CC BY-NC 4.0 License, NOT commercial friendly)</li></ul></li> <li><p>Squeeze-and-Excitation Networks</p> <ul><li>Paper: <code>Squeeze-and-Excitation Networks</code> - <a href="https://arxiv.org/abs/1709.01507" rel="nofollow">https://arxiv.org/abs/1709.01507</a></li> <li>Code: Added to ResNet base, this is current version going forward, old <code>senet.py</code> is being deprecated</li></ul></li> <li><p>ECAResNet (ECA-Net)</p> <ul><li>Paper: <code>ECA-Net: Efficient Channel Attention for Deep CNN</code> - <a href="https://arxiv.org/abs/1910.03151v4" rel="nofollow">https://arxiv.org/abs/1910.03151v4</a></li> <li>Code: Added to ResNet base, ECA module contributed by @VRandme, reference <a href="https://github.com/BangguWu/ECANet" rel="nofollow">https://github.com/BangguWu/ECANet</a></li></ul></li>',vt,ie,wt,oe,dl='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/res2net.py" rel="nofollow">res2net.py</a></li> <li>Paper: <code>Res2Net: A New Multi-scale Backbone Architecture</code> - <a href="https://arxiv.org/abs/1904.01169" rel="nofollow">https://arxiv.org/abs/1904.01169</a></li> <li>Code: <a href="https://github.com/gasvn/Res2Net" rel="nofollow">https://github.com/gasvn/Res2Net</a></li>',$t,re,yt,ae,ul='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/resnest.py" rel="nofollow">resnest.py</a></li> <li>Paper: <code>ResNeSt: Split-Attention Networks</code> - <a href="https://arxiv.org/abs/2004.08955" rel="nofollow">https://arxiv.org/abs/2004.08955</a></li> <li>Code: <a href="https://github.com/zhanghang1989/ResNeSt" rel="nofollow">https://github.com/zhanghang1989/ResNeSt</a></li>',xt,ne,Tt,se,bl='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/rexnet.py" rel="nofollow">rexnet.py</a></li> <li>Paper: <code>ReXNet: Diminishing Representational Bottleneck on CNN</code> - <a href="https://arxiv.org/abs/2007.00992" rel="nofollow">https://arxiv.org/abs/2007.00992</a></li> <li>Code: <a href="https://github.com/clovaai/rexnet" rel="nofollow">https://github.com/clovaai/rexnet</a></li>',Nt,me,Lt,pe,vl='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/sknet.py" rel="nofollow">sknet.py</a></li> <li>Paper: <code>Selective-Kernel Networks</code> - <a href="https://arxiv.org/abs/1903.06586" rel="nofollow">https://arxiv.org/abs/1903.06586</a></li> <li>Code: <a href="https://github.com/implus/SKNet" rel="nofollow">https://github.com/implus/SKNet</a>, <a href="https://github.com/clovaai/assembled-cnn" rel="nofollow">https://github.com/clovaai/assembled-cnn</a></li>',Ct,he,Mt,fe,wl='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/selecsls.py" rel="nofollow">selecsls.py</a></li> <li>Paper: <code>XNect: Real-time Multi-Person 3D Motion Capture with a Single RGB Camera</code> - <a href="https://arxiv.org/abs/1907.00837" rel="nofollow">https://arxiv.org/abs/1907.00837</a></li> <li>Code: <a href="https://github.com/mehtadushy/SelecSLS-Pytorch" rel="nofollow">https://github.com/mehtadushy/SelecSLS-Pytorch</a></li>',Rt,ge,Ht,ce,$l=`<li><p>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/senet.py" rel="nofollow">senet.py</a>
NOTE: I am deprecating this version of the networks, the new ones are part of <code>resnet.py</code></p></li> <li><p>Paper: <code>Squeeze-and-Excitation Networks</code> - <a href="https://arxiv.org/abs/1709.01507" rel="nofollow">https://arxiv.org/abs/1709.01507</a></p></li> <li><p>Code: <a href="https://github.com/Cadene/pretrained-models.pytorch" rel="nofollow">https://github.com/Cadene/pretrained-models.pytorch</a></p></li>`,_t,de,Pt,ue,yl='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/tresnet.py" rel="nofollow">tresnet.py</a></li> <li>Paper: <code>TResNet: High Performance GPU-Dedicated Architecture</code> - <a href="https://arxiv.org/abs/2003.13630" rel="nofollow">https://arxiv.org/abs/2003.13630</a></li> <li>Code: <a href="https://github.com/mrT23/TResNet" rel="nofollow">https://github.com/mrT23/TResNet</a></li>',St,be,It,ve,xl='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/vgg.py" rel="nofollow">vgg.py</a></li> <li>Paper: <code>Very Deep Convolutional Networks For Large-Scale Image Recognition</code> - <a href="https://arxiv.org/pdf/1409.1556.pdf" rel="nofollow">https://arxiv.org/pdf/1409.1556.pdf</a></li> <li>Reference code: <a href="https://github.com/pytorch/vision/blob/master/torchvision/models/vgg.py" rel="nofollow">https://github.com/pytorch/vision/blob/master/torchvision/models/vgg.py</a></li>',kt,we,At,$e,Tl='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/vision_transformer.py" rel="nofollow">vision_transformer.py</a></li> <li>Paper: <code>An Image is Worth 16x16 Words: Transformers for Image Recognition at Scale</code> - <a href="https://arxiv.org/abs/2010.11929" rel="nofollow">https://arxiv.org/abs/2010.11929</a></li> <li>Reference code and pretrained weights: <a href="https://github.com/google-research/vision_transformer" rel="nofollow">https://github.com/google-research/vision_transformer</a></li>',Et,ye,Ut,xe,Nl='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/vovnet.py" rel="nofollow">vovnet.py</a></li> <li>Paper: <code>CenterMask : Real-Time Anchor-Free Instance Segmentation</code> - <a href="https://arxiv.org/abs/1911.06667" rel="nofollow">https://arxiv.org/abs/1911.06667</a></li> <li>Reference code: <a href="https://github.com/youngwanLEE/vovnet-detectron2" rel="nofollow">https://github.com/youngwanLEE/vovnet-detectron2</a></li>',Vt,Te,Dt,Ne,Ll='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/xception.py" rel="nofollow">xception.py</a></li> <li>Paper: <code>Xception: Deep Learning with Depthwise Separable Convolutions</code> - <a href="https://arxiv.org/abs/1610.02357" rel="nofollow">https://arxiv.org/abs/1610.02357</a></li> <li>Code: <a href="https://github.com/Cadene/pretrained-models.pytorch" rel="nofollow">https://github.com/Cadene/pretrained-models.pytorch</a></li>',Bt,Le,Gt,Ce,Cl='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/gluon_xception.py" rel="nofollow">gluon_xception.py</a></li> <li>Paper: <code>Encoder-Decoder with Atrous Separable Convolution for Semantic Image Segmentation</code> - <a href="https://arxiv.org/abs/1802.02611" rel="nofollow">https://arxiv.org/abs/1802.02611</a></li> <li>Reference code: <a href="https://github.com/dmlc/gluon-cv/tree/master/gluoncv/model_zoo" rel="nofollow">https://github.com/dmlc/gluon-cv/tree/master/gluoncv/model_zoo</a>, <a href="https://github.com/jfzhang95/pytorch-deeplab-xception/" rel="nofollow">https://github.com/jfzhang95/pytorch-deeplab-xception/</a></li>',zt,Me,Xt,Re,Ml='<li>Implementation: <a href="https://github.com/rwightman/pytorch-image-models/blob/master/timm/models/aligned_xception.py" rel="nofollow">aligned_xception.py</a></li> <li>Paper: <code>Encoder-Decoder with Atrous Separable Convolution for Semantic Image Segmentation</code> - <a href="https://arxiv.org/abs/1802.02611" rel="nofollow">https://arxiv.org/abs/1802.02611</a></li> <li>Reference code: <a href="https://github.com/tensorflow/models/tree/master/research/deeplab" rel="nofollow">https://github.com/tensorflow/models/tree/master/research/deeplab</a></li>',qt,_e,Wt;return b=new d({props:{title:"Model Summaries",local:"model-summaries",headingTag:"h1"}}),T=new d({props:{title:"Big Transfer ResNetV2 (BiT)",local:"big-transfer-resnetv2-bit",headingTag:"h2"}}),L=new d({props:{title:"Cross-Stage Partial Networks",local:"cross-stage-partial-networks",headingTag:"h2"}}),M=new d({props:{title:"DenseNet",local:"densenet",headingTag:"h2"}}),H=new d({props:{title:"DLA",local:"dla",headingTag:"h2"}}),P=new d({props:{title:"Dual-Path Networks",local:"dual-path-networks",headingTag:"h2"}}),I=new d({props:{title:"GPU-Efficient Networks",local:"gpu-efficient-networks",headingTag:"h2"}}),A=new d({props:{title:"HRNet",local:"hrnet",headingTag:"h2"}}),U=new d({props:{title:"Inception-V3",local:"inception-v3",headingTag:"h2"}}),D=new d({props:{title:"Inception-V4",local:"inception-v4",headingTag:"h2"}}),G=new d({props:{title:"Inception-ResNet-V2",local:"inception-resnet-v2",headingTag:"h2"}}),X=new d({props:{title:"NASNet-A",local:"nasnet-a",headingTag:"h2"}}),W=new d({props:{title:"PNasNet-5",local:"pnasnet-5",headingTag:"h2"}}),j=new d({props:{title:"EfficientNet",local:"efficientnet",headingTag:"h2"}}),F=new d({props:{title:"MobileNet-V3",local:"mobilenet-v3",headingTag:"h2"}}),J=new d({props:{title:"RegNet",local:"regnet",headingTag:"h2"}}),Z=new d({props:{title:"RepVGG",local:"repvgg",headingTag:"h2"}}),te=new d({props:{title:"ResNet, ResNeXt",local:"resnet-resnext",headingTag:"h2"}}),ie=new d({props:{title:"Res2Net",local:"res2net",headingTag:"h2"}}),re=new d({props:{title:"ResNeSt",local:"resnest",headingTag:"h2"}}),ne=new d({props:{title:"ReXNet",local:"rexnet",headingTag:"h2"}}),me=new d({props:{title:"Selective-Kernel Networks",local:"selective-kernel-networks",headingTag:"h2"}}),he=new d({props:{title:"SelecSLS",local:"selecsls",headingTag:"h2"}}),ge=new d({props:{title:"Squeeze-and-Excitation Networks",local:"squeeze-and-excitation-networks",headingTag:"h2"}}),de=new d({props:{title:"TResNet",local:"tresnet",headingTag:"h2"}}),be=new d({props:{title:"VGG",local:"vgg",headingTag:"h2"}}),we=new d({props:{title:"Vision Transformer",local:"vision-transformer",headingTag:"h2"}}),ye=new d({props:{title:"VovNet V2 and V1",local:"vovnet-v2-and-v1",headingTag:"h2"}}),Te=new d({props:{title:"Xception",local:"xception",headingTag:"h2"}}),Le=new d({props:{title:"Xception (Modified Aligned, Gluon)",local:"xception-modified-aligned-gluon",headingTag:"h2"}}),Me=new d({props:{title:"Xception (Modified Aligned, TF)",local:"xception-modified-aligned-tf",headingTag:"h2"}}),{c(){u=a("meta"),Pe=o(),He=a("p"),Se=o(),m(b.$$.fragment),Ie=o(),v=a("p"),v.textContent=jt,ke=o(),w=a("p"),w.textContent=Ot,Ae=o(),$=a("ol"),$.innerHTML=Ft,Ee=o(),y=a("p"),y.innerHTML=Yt,Ue=o(),x=a("p"),x.innerHTML=Jt,Ve=o(),m(T.$$.fragment),De=o(),N=a("ul"),N.innerHTML=Qt,Be=o(),m(L.$$.fragment),Ge=o(),C=a("ul"),C.innerHTML=Zt,ze=o(),m(M.$$.fragment),Xe=o(),R=a("ul"),R.innerHTML=el,qe=o(),m(H.$$.fragment),We=o(),_=a("ul"),_.innerHTML=tl,Ke=o(),m(P.$$.fragment),je=o(),S=a("ul"),S.innerHTML=ll,Oe=o(),m(I.$$.fragment),Fe=o(),k=a("ul"),k.innerHTML=il,Ye=o(),m(A.$$.fragment),Je=o(),E=a("ul"),E.innerHTML=ol,Qe=o(),m(U.$$.fragment),Ze=o(),V=a("ul"),V.innerHTML=rl,et=o(),m(D.$$.fragment),tt=o(),B=a("ul"),B.innerHTML=al,lt=o(),m(G.$$.fragment),it=o(),z=a("ul"),z.innerHTML=nl,ot=o(),m(X.$$.fragment),rt=o(),q=a("ul"),q.innerHTML=sl,at=o(),m(W.$$.fragment),nt=o(),K=a("ul"),K.innerHTML=ml,st=o(),m(j.$$.fragment),mt=o(),O=a("ul"),O.innerHTML=pl,pt=o(),m(F.$$.fragment),ht=o(),Y=a("ul"),Y.innerHTML=hl,ft=o(),m(J.$$.fragment),gt=o(),Q=a("ul"),Q.innerHTML=fl,ct=o(),m(Z.$$.fragment),dt=o(),ee=a("ul"),ee.innerHTML=gl,ut=o(),m(te.$$.fragment),bt=o(),le=a("ul"),le.innerHTML=cl,vt=o(),m(ie.$$.fragment),wt=o(),oe=a("ul"),oe.innerHTML=dl,$t=o(),m(re.$$.fragment),yt=o(),ae=a("ul"),ae.innerHTML=ul,xt=o(),m(ne.$$.fragment),Tt=o(),se=a("ul"),se.innerHTML=bl,Nt=o(),m(me.$$.fragment),Lt=o(),pe=a("ul"),pe.innerHTML=vl,Ct=o(),m(he.$$.fragment),Mt=o(),fe=a("ul"),fe.innerHTML=wl,Rt=o(),m(ge.$$.fragment),Ht=o(),ce=a("ul"),ce.innerHTML=$l,_t=o(),m(de.$$.fragment),Pt=o(),ue=a("ul"),ue.innerHTML=yl,St=o(),m(be.$$.fragment),It=o(),ve=a("ul"),ve.innerHTML=xl,kt=o(),m(we.$$.fragment),At=o(),$e=a("ul"),$e.innerHTML=Tl,Et=o(),m(ye.$$.fragment),Ut=o(),xe=a("ul"),xe.innerHTML=Nl,Vt=o(),m(Te.$$.fragment),Dt=o(),Ne=a("ul"),Ne.innerHTML=Ll,Bt=o(),m(Le.$$.fragment),Gt=o(),Ce=a("ul"),Ce.innerHTML=Cl,zt=o(),m(Me.$$.fragment),Xt=o(),Re=a("ul"),Re.innerHTML=Ml,qt=o(),_e=a("p"),this.h()},l(e){const t=Al("svelte-u9bgzb",document.head);u=n(t,"META",{name:!0,content:!0}),t.forEach(l),Pe=r(e),He=n(e,"P",{}),Rl(He).forEach(l),Se=r(e),p(b.$$.fragment,e),Ie=r(e),v=n(e,"P",{"data-svelte-h":!0}),s(v)!=="svelte-jd0ajs"&&(v.textContent=jt),ke=r(e),w=n(e,"P",{"data-svelte-h":!0}),s(w)!=="svelte-1hq07ud"&&(w.textContent=Ot),Ae=r(e),$=n(e,"OL",{"data-svelte-h":!0}),s($)!=="svelte-rf0dag"&&($.innerHTML=Ft),Ee=r(e),y=n(e,"P",{"data-svelte-h":!0}),s(y)!=="svelte-1d4od1u"&&(y.innerHTML=Yt),Ue=r(e),x=n(e,"P",{"data-svelte-h":!0}),s(x)!=="svelte-flvn08"&&(x.innerHTML=Jt),Ve=r(e),p(T.$$.fragment,e),De=r(e),N=n(e,"UL",{"data-svelte-h":!0}),s(N)!=="svelte-zcp459"&&(N.innerHTML=Qt),Be=r(e),p(L.$$.fragment,e),Ge=r(e),C=n(e,"UL",{"data-svelte-h":!0}),s(C)!=="svelte-1i2dx5m"&&(C.innerHTML=Zt),ze=r(e),p(M.$$.fragment,e),Xe=r(e),R=n(e,"UL",{"data-svelte-h":!0}),s(R)!=="svelte-9h8rl5"&&(R.innerHTML=el),qe=r(e),p(H.$$.fragment,e),We=r(e),_=n(e,"UL",{"data-svelte-h":!0}),s(_)!=="svelte-d7ezsw"&&(_.innerHTML=tl),Ke=r(e),p(P.$$.fragment,e),je=r(e),S=n(e,"UL",{"data-svelte-h":!0}),s(S)!=="svelte-5h7g89"&&(S.innerHTML=ll),Oe=r(e),p(I.$$.fragment,e),Fe=r(e),k=n(e,"UL",{"data-svelte-h":!0}),s(k)!=="svelte-dx9oip"&&(k.innerHTML=il),Ye=r(e),p(A.$$.fragment,e),Je=r(e),E=n(e,"UL",{"data-svelte-h":!0}),s(E)!=="svelte-16r6wam"&&(E.innerHTML=ol),Qe=r(e),p(U.$$.fragment,e),Ze=r(e),V=n(e,"UL",{"data-svelte-h":!0}),s(V)!=="svelte-oef3sy"&&(V.innerHTML=rl),et=r(e),p(D.$$.fragment,e),tt=r(e),B=n(e,"UL",{"data-svelte-h":!0}),s(B)!=="svelte-1coyojj"&&(B.innerHTML=al),lt=r(e),p(G.$$.fragment,e),it=r(e),z=n(e,"UL",{"data-svelte-h":!0}),s(z)!=="svelte-1s2oq4t"&&(z.innerHTML=nl),ot=r(e),p(X.$$.fragment,e),rt=r(e),q=n(e,"UL",{"data-svelte-h":!0}),s(q)!=="svelte-1k6e77q"&&(q.innerHTML=sl),at=r(e),p(W.$$.fragment,e),nt=r(e),K=n(e,"UL",{"data-svelte-h":!0}),s(K)!=="svelte-185kgsi"&&(K.innerHTML=ml),st=r(e),p(j.$$.fragment,e),mt=r(e),O=n(e,"UL",{"data-svelte-h":!0}),s(O)!=="svelte-1bnh0p"&&(O.innerHTML=pl),pt=r(e),p(F.$$.fragment,e),ht=r(e),Y=n(e,"UL",{"data-svelte-h":!0}),s(Y)!=="svelte-18em2uk"&&(Y.innerHTML=hl),ft=r(e),p(J.$$.fragment,e),gt=r(e),Q=n(e,"UL",{"data-svelte-h":!0}),s(Q)!=="svelte-ilhpce"&&(Q.innerHTML=fl),ct=r(e),p(Z.$$.fragment,e),dt=r(e),ee=n(e,"UL",{"data-svelte-h":!0}),s(ee)!=="svelte-1t874ox"&&(ee.innerHTML=gl),ut=r(e),p(te.$$.fragment,e),bt=r(e),le=n(e,"UL",{"data-svelte-h":!0}),s(le)!=="svelte-1mj9y57"&&(le.innerHTML=cl),vt=r(e),p(ie.$$.fragment,e),wt=r(e),oe=n(e,"UL",{"data-svelte-h":!0}),s(oe)!=="svelte-1blzz5q"&&(oe.innerHTML=dl),$t=r(e),p(re.$$.fragment,e),yt=r(e),ae=n(e,"UL",{"data-svelte-h":!0}),s(ae)!=="svelte-21m1f2"&&(ae.innerHTML=ul),xt=r(e),p(ne.$$.fragment,e),Tt=r(e),se=n(e,"UL",{"data-svelte-h":!0}),s(se)!=="svelte-11rvs8m"&&(se.innerHTML=bl),Nt=r(e),p(me.$$.fragment,e),Lt=r(e),pe=n(e,"UL",{"data-svelte-h":!0}),s(pe)!=="svelte-1b4m80y"&&(pe.innerHTML=vl),Ct=r(e),p(he.$$.fragment,e),Mt=r(e),fe=n(e,"UL",{"data-svelte-h":!0}),s(fe)!=="svelte-1rnwmtp"&&(fe.innerHTML=wl),Rt=r(e),p(ge.$$.fragment,e),Ht=r(e),ce=n(e,"UL",{"data-svelte-h":!0}),s(ce)!=="svelte-n3ldh6"&&(ce.innerHTML=$l),_t=r(e),p(de.$$.fragment,e),Pt=r(e),ue=n(e,"UL",{"data-svelte-h":!0}),s(ue)!=="svelte-13se4r8"&&(ue.innerHTML=yl),St=r(e),p(be.$$.fragment,e),It=r(e),ve=n(e,"UL",{"data-svelte-h":!0}),s(ve)!=="svelte-1rfae98"&&(ve.innerHTML=xl),kt=r(e),p(we.$$.fragment,e),At=r(e),$e=n(e,"UL",{"data-svelte-h":!0}),s($e)!=="svelte-65adf6"&&($e.innerHTML=Tl),Et=r(e),p(ye.$$.fragment,e),Ut=r(e),xe=n(e,"UL",{"data-svelte-h":!0}),s(xe)!=="svelte-1tug24z"&&(xe.innerHTML=Nl),Vt=r(e),p(Te.$$.fragment,e),Dt=r(e),Ne=n(e,"UL",{"data-svelte-h":!0}),s(Ne)!=="svelte-btrshz"&&(Ne.innerHTML=Ll),Bt=r(e),p(Le.$$.fragment,e),Gt=r(e),Ce=n(e,"UL",{"data-svelte-h":!0}),s(Ce)!=="svelte-k56gru"&&(Ce.innerHTML=Cl),zt=r(e),p(Me.$$.fragment,e),Xt=r(e),Re=n(e,"UL",{"data-svelte-h":!0}),s(Re)!=="svelte-ds2pan"&&(Re.innerHTML=Ml),qt=r(e),_e=n(e,"P",{}),Rl(_e).forEach(l),this.h()},h(){Hl(u,"name","hf:doc:metadata"),Hl(u,"content",Vl)},m(e,t){El(document.head,u),i(e,Pe,t),i(e,He,t),i(e,Se,t),h(b,e,t),i(e,Ie,t),i(e,v,t),i(e,ke,t),i(e,w,t),i(e,Ae,t),i(e,$,t),i(e,Ee,t),i(e,y,t),i(e,Ue,t),i(e,x,t),i(e,Ve,t),h(T,e,t),i(e,De,t),i(e,N,t),i(e,Be,t),h(L,e,t),i(e,Ge,t),i(e,C,t),i(e,ze,t),h(M,e,t),i(e,Xe,t),i(e,R,t),i(e,qe,t),h(H,e,t),i(e,We,t),i(e,_,t),i(e,Ke,t),h(P,e,t),i(e,je,t),i(e,S,t),i(e,Oe,t),h(I,e,t),i(e,Fe,t),i(e,k,t),i(e,Ye,t),h(A,e,t),i(e,Je,t),i(e,E,t),i(e,Qe,t),h(U,e,t),i(e,Ze,t),i(e,V,t),i(e,et,t),h(D,e,t),i(e,tt,t),i(e,B,t),i(e,lt,t),h(G,e,t),i(e,it,t),i(e,z,t),i(e,ot,t),h(X,e,t),i(e,rt,t),i(e,q,t),i(e,at,t),h(W,e,t),i(e,nt,t),i(e,K,t),i(e,st,t),h(j,e,t),i(e,mt,t),i(e,O,t),i(e,pt,t),h(F,e,t),i(e,ht,t),i(e,Y,t),i(e,ft,t),h(J,e,t),i(e,gt,t),i(e,Q,t),i(e,ct,t),h(Z,e,t),i(e,dt,t),i(e,ee,t),i(e,ut,t),h(te,e,t),i(e,bt,t),i(e,le,t),i(e,vt,t),h(ie,e,t),i(e,wt,t),i(e,oe,t),i(e,$t,t),h(re,e,t),i(e,yt,t),i(e,ae,t),i(e,xt,t),h(ne,e,t),i(e,Tt,t),i(e,se,t),i(e,Nt,t),h(me,e,t),i(e,Lt,t),i(e,pe,t),i(e,Ct,t),h(he,e,t),i(e,Mt,t),i(e,fe,t),i(e,Rt,t),h(ge,e,t),i(e,Ht,t),i(e,ce,t),i(e,_t,t),h(de,e,t),i(e,Pt,t),i(e,ue,t),i(e,St,t),h(be,e,t),i(e,It,t),i(e,ve,t),i(e,kt,t),h(we,e,t),i(e,At,t),i(e,$e,t),i(e,Et,t),h(ye,e,t),i(e,Ut,t),i(e,xe,t),i(e,Vt,t),h(Te,e,t),i(e,Dt,t),i(e,Ne,t),i(e,Bt,t),h(Le,e,t),i(e,Gt,t),i(e,Ce,t),i(e,zt,t),h(Me,e,t),i(e,Xt,t),i(e,Re,t),i(e,qt,t),i(e,_e,t),Wt=!0},p:Pl,i(e){Wt||(f(b.$$.fragment,e),f(T.$$.fragment,e),f(L.$$.fragment,e),f(M.$$.fragment,e),f(H.$$.fragment,e),f(P.$$.fragment,e),f(I.$$.fragment,e),f(A.$$.fragment,e),f(U.$$.fragment,e),f(D.$$.fragment,e),f(G.$$.fragment,e),f(X.$$.fragment,e),f(W.$$.fragment,e),f(j.$$.fragment,e),f(F.$$.fragment,e),f(J.$$.fragment,e),f(Z.$$.fragment,e),f(te.$$.fragment,e),f(ie.$$.fragment,e),f(re.$$.fragment,e),f(ne.$$.fragment,e),f(me.$$.fragment,e),f(he.$$.fragment,e),f(ge.$$.fragment,e),f(de.$$.fragment,e),f(be.$$.fragment,e),f(we.$$.fragment,e),f(ye.$$.fragment,e),f(Te.$$.fragment,e),f(Le.$$.fragment,e),f(Me.$$.fragment,e),Wt=!0)},o(e){g(b.$$.fragment,e),g(T.$$.fragment,e),g(L.$$.fragment,e),g(M.$$.fragment,e),g(H.$$.fragment,e),g(P.$$.fragment,e),g(I.$$.fragment,e),g(A.$$.fragment,e),g(U.$$.fragment,e),g(D.$$.fragment,e),g(G.$$.fragment,e),g(X.$$.fragment,e),g(W.$$.fragment,e),g(j.$$.fragment,e),g(F.$$.fragment,e),g(J.$$.fragment,e),g(Z.$$.fragment,e),g(te.$$.fragment,e),g(ie.$$.fragment,e),g(re.$$.fragment,e),g(ne.$$.fragment,e),g(me.$$.fragment,e),g(he.$$.fragment,e),g(ge.$$.fragment,e),g(de.$$.fragment,e),g(be.$$.fragment,e),g(we.$$.fragment,e),g(ye.$$.fragment,e),g(Te.$$.fragment,e),g(Le.$$.fragment,e),g(Me.$$.fragment,e),Wt=!1},d(e){e&&(l(Pe),l(He),l(Se),l(Ie),l(v),l(ke),l(w),l(Ae),l($),l(Ee),l(y),l(Ue),l(x),l(Ve),l(De),l(N),l(Be),l(Ge),l(C),l(ze),l(Xe),l(R),l(qe),l(We),l(_),l(Ke),l(je),l(S),l(Oe),l(Fe),l(k),l(Ye),l(Je),l(E),l(Qe),l(Ze),l(V),l(et),l(tt),l(B),l(lt),l(it),l(z),l(ot),l(rt),l(q),l(at),l(nt),l(K),l(st),l(mt),l(O),l(pt),l(ht),l(Y),l(ft),l(gt),l(Q),l(ct),l(dt),l(ee),l(ut),l(bt),l(le),l(vt),l(wt),l(oe),l($t),l(yt),l(ae),l(xt),l(Tt),l(se),l(Nt),l(Lt),l(pe),l(Ct),l(Mt),l(fe),l(Rt),l(Ht),l(ce),l(_t),l(Pt),l(ue),l(St),l(It),l(ve),l(kt),l(At),l($e),l(Et),l(Ut),l(xe),l(Vt),l(Dt),l(Ne),l(Bt),l(Gt),l(Ce),l(zt),l(Xt),l(Re),l(qt),l(_e)),l(u),c(b,e),c(T,e),c(L,e),c(M,e),c(H,e),c(P,e),c(I,e),c(A,e),c(U,e),c(D,e),c(G,e),c(X,e),c(W,e),c(j,e),c(F,e),c(J,e),c(Z,e),c(te,e),c(ie,e),c(re,e),c(ne,e),c(me,e),c(he,e),c(ge,e),c(de,e),c(be,e),c(we,e),c(ye,e),c(Te,e),c(Le,e),c(Me,e)}}}const Vl='{"title":"Model Summaries","local":"model-summaries","sections":[{"title":"Big Transfer ResNetV2 (BiT)","local":"big-transfer-resnetv2-bit","sections":[],"depth":2},{"title":"Cross-Stage Partial Networks","local":"cross-stage-partial-networks","sections":[],"depth":2},{"title":"DenseNet","local":"densenet","sections":[],"depth":2},{"title":"DLA","local":"dla","sections":[],"depth":2},{"title":"Dual-Path Networks","local":"dual-path-networks","sections":[],"depth":2},{"title":"GPU-Efficient Networks","local":"gpu-efficient-networks","sections":[],"depth":2},{"title":"HRNet","local":"hrnet","sections":[],"depth":2},{"title":"Inception-V3","local":"inception-v3","sections":[],"depth":2},{"title":"Inception-V4","local":"inception-v4","sections":[],"depth":2},{"title":"Inception-ResNet-V2","local":"inception-resnet-v2","sections":[],"depth":2},{"title":"NASNet-A","local":"nasnet-a","sections":[],"depth":2},{"title":"PNasNet-5","local":"pnasnet-5","sections":[],"depth":2},{"title":"EfficientNet","local":"efficientnet","sections":[],"depth":2},{"title":"MobileNet-V3","local":"mobilenet-v3","sections":[],"depth":2},{"title":"RegNet","local":"regnet","sections":[],"depth":2},{"title":"RepVGG","local":"repvgg","sections":[],"depth":2},{"title":"ResNet, ResNeXt","local":"resnet-resnext","sections":[],"depth":2},{"title":"Res2Net","local":"res2net","sections":[],"depth":2},{"title":"ResNeSt","local":"resnest","sections":[],"depth":2},{"title":"ReXNet","local":"rexnet","sections":[],"depth":2},{"title":"Selective-Kernel Networks","local":"selective-kernel-networks","sections":[],"depth":2},{"title":"SelecSLS","local":"selecsls","sections":[],"depth":2},{"title":"Squeeze-and-Excitation Networks","local":"squeeze-and-excitation-networks","sections":[],"depth":2},{"title":"TResNet","local":"tresnet","sections":[],"depth":2},{"title":"VGG","local":"vgg","sections":[],"depth":2},{"title":"Vision Transformer","local":"vision-transformer","sections":[],"depth":2},{"title":"VovNet V2 and V1","local":"vovnet-v2-and-v1","sections":[],"depth":2},{"title":"Xception","local":"xception","sections":[],"depth":2},{"title":"Xception (Modified Aligned, Gluon)","local":"xception-modified-aligned-gluon","sections":[],"depth":2},{"title":"Xception (Modified Aligned, TF)","local":"xception-modified-aligned-tf","sections":[],"depth":2}],"depth":1}';function Dl(Kt){return Sl(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Xl extends Il{constructor(u){super(),kl(this,u,Dl,Ul,_l,{})}}export{Xl as component};
